Node.js
import GetimgAI from "getimg-ai";
const client = new GetimgAI();
const models = await client.models.list();
// Optionally filter by type:
const videoModels = await client.models.list({ type: "video" });from getimg import GetimgAI
client = GetimgAI()
models = client.models.list()
# Optionally filter by type:
video_models = client.models.list(type="video")
curl --request GET \
--url https://api.getimg.ai/v2/models \
--header 'Authorization: Bearer <token>'
[
{
"id": "seedream-5-lite",
"name": "Seedream 5 Lite",
"type": "image",
"created_at": "2026-04-17T10:20:30.000Z"
},
{
"id": "seedance-v1-pro",
"name": "Seedance v1 Pro",
"type": "video",
"created_at": "2026-04-16T09:10:00.000Z"
}
]Models
List supported models
List available developer models for the authenticated project.
GET
/
v2
/
models
Node.js
import GetimgAI from "getimg-ai";
const client = new GetimgAI();
const models = await client.models.list();
// Optionally filter by type:
const videoModels = await client.models.list({ type: "video" });from getimg import GetimgAI
client = GetimgAI()
models = client.models.list()
# Optionally filter by type:
video_models = client.models.list(type="video")
Authorizations
Send your API key as a bearer token:
Authorization: Bearer sk_<secret>.
Query Parameters
Optional model type filter.
Available options:
image, video ⌘I